# Lytter

Alternative UI Frontend for Navidrome using the Subsonic API.
Designed around some personal misgivings I had with Navidrome's native UI and as a way for me to play around with [Sycamore](https://sycamore-rs.netlify.app/#).

Supports:

- [ ] Instance Picking (no Hardcoded URLs)
- [ ] Album Browsing
  - [ ] Random
  - [ ] Favourites
  - [ ] Top Rated
  - [ ] Recently Added
  - [ ] Recently Played
  - [ ] Most Played
- [ ] Artist Browsing
- [ ] Song Browsing
- [ ] Radios
- [ ] Shares
- [ ] Playlists
- [ ] Favouriting
- [ ] Filters
- [ ] Queue Syncing
- [ ] View Modes
  - [ ] Grid
  - [ ] Details
  - [ ] Table
    - [ ] Configurable Columns
- [ ] Ratings
- [ ] Default Client Transcoding Setting
  - [ ] Per-Device Override
- [ ] Themeing
- [ ] Playback
  - [ ] Play Next
  - [ ] Play Later
- [ ] Caching
  - [ ] Pre-Caching
- [ ] Scrobbling
- [ ] Volume Controls
- [ ] Loop One/Loop All
- [ ] Shuffle Playlist/Album/Artist
- [ ] Downloads/Export (Playlists)
- [ ] Add/Remove Playlists
- [ ] Add/Remove Songs to/from Playlists
- [ ] User Settings
- [ ] Admin UI